%global revision 57
%global date 2012.02.01

Name:             fontaine
Version:          0
Release:          12.svn%{revision}%{?dist}
Summary:          Font file meta information utility
License:          GPLv2+
URL:              http://unifont.org/fontaine/

# To create a tarball from svn 
#
# svn co -r %{revision} https://fontaine.svn.sourceforge.net/svnroot/fontaine/trunk fontaine-%{version}-svn%{revision}
# tar cf fontaine-%{version}-svn%{revision}.tar.xz -J --xz --exclude .svn fontaine-%{version}-svn%{revision}
# Source0:          %{name}-%{version}-svn%{revision}.tar.xz
# Or upstream made some kind of release
Source0: http://downloads.sourceforge.net/%{name}/%{name}_svn_r%{revision}_%{date}.tar.gz

# https://sourceforge.net/p/fontaine/discussion/928306/thread/1862fd94/
Patch1: fontaine-freetype.patch

BuildRequires:    cmake gettext doxygen
BuildRequires:    freetype-devel

%description
Fontaine is a command-line utility that displays key meta information about
font files, including but not limited to font name, style, weight,
glyph count, character count, copyright, license information  and 
orthographic coverage.

%prep
#setup -q -n %{name}-%{version}-svn%{revision}
%setup -q -n %{name}_svn_r%{revision}_%{date}
find -type d -name .svn | xargs -r rm -rf
%patch1 -p1 -b .findfreetype

%build
%cmake .
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%files -f %{name}.lang
%doc documentation doxygen/html
%{_bindir}/%{name}

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-12.svn57
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun  8 2014 Yanko Kaneti <yaneti@declera.com> - 0-11.svn57
- Patch to adapt to latest freetype include changes

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-10.svn57
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-9.svn57
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-8.svn57
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-7.svn57
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Yanko Kaneti <yaneti@declera.com> - 0-6.svn57
- a few revisions later
- Use an upstream released tarball
- Drop some packaging legacy

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-5.svn39
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-4.svn39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-3.svn39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jun 17 2010 Yanko Kaneti <yaneti@declera.com> - 0-2.svn39
- a few revisions later

* Sat Jan 30 2010 Yanko Kaneti <yaneti@declera.com> - 0-1.svn35
- Initial packaging
